﻿$ErrorActionPreference = 'Stop'
$packageName    = '8x8Work'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url            = 'https://vod-updates.8x8.com/ga/work-32-msi-v7.6.2-5.msi'
$checksum       = '8760F1E5B2E2F8D6E7DD48763C0F62783660787A3FAFF1C71EC8B01F0BB26239'
$url64          = 'https://vod-updates.8x8.com/ga/work-64-msi-v7.6.2-5.msi'
$checksum64     = '36057B16381F34BFA78B4B72D5BDCA99848FB74F6E958E3B640F0306E7AF330F'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url
  url64          = $url64
  validExitCodes = @(0, 3010, 1641)
  silentArgs     = '/quiet /norestart'
  softwareName   = '8x8 - Work'
  checksum       = $checksum
  checksumType   = 'sha256'
  checksum64     = $checksum64
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs  